GET
/voice-connectors/{voiceConnectorId}/streaming-configuration
http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/streaming-configurationRetrieves the streaming configuration details for the specified Amazon Chime Voice Connector. Shows whether media streaming is enabled for sending to Amazon Kinesis. It also shows the retention period, in hours, for the Amazon Kinesis data.
Access Token Required: API Key
Path Parameters
voiceConnectorIdstringrequired
The Amazon Chime Voice Connector ID.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/streaming-configuration' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}